MULTICOPTER.RU
http://multicopter.ru/forum/

Новый софт 0.80
http://multicopter.ru/forum/viewtopic.php?f=7&t=345
Страница 5 из 6

Автор:  Andrey-multicopter [ 02 сен 2010, 18:52 ]
Заголовок сообщения:  Re: Новый софт 0.80

Letalkin писал(а):
andrkolom писал(а):
Получается нужно их перепрограммировать. А что у 1-8 ПО одинаковое?

Да, одинаковое, 2.0 адрессуются джамперами с 1-го по 8-й.


Понятно, а то я их еще своими глазами не видел.

Автор:  vis [ 02 сен 2010, 21:29 ]
Заголовок сообщения:  Re: Новый софт 0.80

я думаю, что претензии по поводу качества ПО предъявлять не получится...
у них позиция простая: мы продаём конструктор, и ты "сам дурак" если что-ть не так... :)
более чем у верен, что в лицензии на софт вписано, что они не несут никакой ответственности за последствия...
и тема с ограничениями на GPS (радиус действия) думаю тоже чтобы их не нагнули, если вдруг какой-ть отморозок решится загнать коптер на стадион с "подвесом" в виде 5кг С4 с шариками и взорвать над толпой...
ну или что-ть подобное...
т.к. при таком случае всю тему закроют одной подписью просто...

Автор:  Andrey-multicopter [ 03 сен 2010, 07:09 ]
Заголовок сообщения:  Re: Новый софт 0.80

Цитата:
я думаю, что претензии по поводу качества ПО предъявлять не получится...
у них позиция простая: мы продаём конструктор, и ты "сам дурак" если что-ть не так... :)
более чем у верен, что в лицензии на софт вписано, что они не несут никакой ответственности за последствия...

Да, скорее всего вписано и в этом действительно есть резон, но как можно при таком состоянии по надежности и при продаже ОТДЕЛЬНЫХ ЗАПЧАСТЕЙ брать деньги с людей за коммерческое использование ПОСТРОЕННЫХ САМИМИ ЖЕ ЛЮДЬМИ аппаратов на основе их отдельных запчастей и использующих их софт? Вот это я понять никак не могу. Поэтому логично - раз берете деньги, то и отвечайте. Те, кто дорого продают свои ГОТОВЫЕ аппараты (draganfly, mikrodrone) несут ответственность за готовое изделие, поэтому то дорого и продают все и несут на себе всю техническую поддержку.

Автор:  Matrixro [ 03 сен 2010, 09:50 ]
Заголовок сообщения:  Re: Новый софт 0.80

Андрей, а Ваши контроллеры вроде на старом софте, т.е. волноваться не о чем?

Автор:  Andrey-multicopter [ 03 сен 2010, 09:54 ]
Заголовок сообщения:  Re: Новый софт 0.80

Matrixro писал(а):
Андрей, а Ваши контроллеры вроде на старом софте, т.е. волноваться не о чем?


Мои контроллеры вообще были на модифицированном софте, который я брал на форуме RCGroup, а он, как я понял, сделан на основе старого немецкого.

Автор:  Nikolaitch_SPb [ 03 сен 2010, 10:15 ]
Заголовок сообщения:  Re: Новый софт 0.80

Хочу попробовать обновить прошивку на своей FC2.0 через MK USB. Опыта в этом деле ноль, по этому, пожалуйста разжуйте поподробнее последовательность, а именно:
Покажите, какие конкретно файлы надо скачивать с хранилища.
Плату надо с коптера снимать?
В инструкции говорится:
"2. Установить на компьютер драйвер для USB-TTL (MKUSB) - для чипа FDTI;"
Если у меня MKTool уже использовался, этот драйвер - стоит, или еще надо ставить?
MikroKopter Tool 1.70a Это то-же надо апгрейдить?
Питание от борта нельзя подавать, только от USB?

Автор:  Jason [ 03 сен 2010, 10:21 ]
Заголовок сообщения:  Re: Новый софт 0.80

У меня немного не такая плата, как уу всех, но принцип думаю у всех один и тот же :)
Подсоеденил коптер к ПК, дал ему питание, нажал кнопку окна изменения ПО, потом нажал Изменить ПО, выбрал какую прошивку заливать и нажал ОК.

Автор:  Andrey-multicopter [ 03 сен 2010, 10:37 ]
Заголовок сообщения:  Re: Новый софт 0.80

Nikolaitch_SPb писал(а):
Хочу попробовать обновить прошивку на своей FC2.0 через MK USB. Опыта в этом деле ноль, по этому, пожалуйста разжуйте поподробнее последовательность, а именно:
Покажите, какие конкретно файлы надо скачивать с хранилища.
Плату надо с коптера снимать?
В инструкции говорится:
"2. Установить на компьютер драйвер для USB-TTL (MKUSB) - для чипа FDTI;"
Если у меня MKTool уже использовался, этот драйвер - стоит, или еще надо ставить?
MikroKopter Tool 1.70a Это то-же надо апгрейдить?
Питание от борта нельзя подавать, только от USB?


Да, все правильно, драйвер устанавливать не надо, но питание как раз нужно подать от батареи, а не от MKUSB (перемычка должна быть снята). MKTool последняя версия и есть 1.70, поэтому апгрейдить не надо.

Автор:  Nikolaitch_SPb [ 03 сен 2010, 10:45 ]
Заголовок сообщения:  Re: Новый софт 0.80

andrkolom писал(а):
Nikolaitch_SPb писал(а):
Хочу попробовать обновить прошивку на своей FC2.0 через MK USB. Опыта в этом деле ноль, по этому, пожалуйста разжуйте поподробнее последовательность, а именно:
Покажите, какие конкретно файлы надо скачивать с хранилища.
Плату надо с коптера снимать?
В инструкции говорится:
"2. Установить на компьютер драйвер для USB-TTL (MKUSB) - для чипа FDTI;"
Если у меня MKTool уже использовался, этот драйвер - стоит, или еще надо ставить?
MikroKopter Tool 1.70a Это то-же надо апгрейдить?
Питание от борта нельзя подавать, только от USB?


Да, все правильно, драйвер устанавливать не надо, но питание как раз нужно подать от батареи, а не от MKUSB (перемычка должна быть снята). MKTool последняя версия и есть 1.70, поэтому апгрейдить не надо.



А файло какое скачивать? А то там много папок и они отличаются только буквой в конце. Это что - версии разные?
Тогда самую последнюю надо брать?
Fligh-Ctrl_MEGA644_V0_80g.hex
Fligh-Ctrl_MEGA644_V0_80g_S3D.hex
Какой из этих файлов надо использовать, или оба?
И еще, надо ли отключать от FC контоллеры, подсветку и т.д.?

Автор:  Andrey-multicopter [ 03 сен 2010, 11:31 ]
Заголовок сообщения:  Re: Новый софт 0.80

Сегодня получил три контроллера 2.0 (заказывал так, чтобы не нарваться на таможню). Почитал предупреждения о программировании - их нельзя перепрограммировать программатором - только MKUSB, как описано на сайте!
Все сделал, залил прошивку, ссылку на которую дал Сергей - все получилось. Питание подавал от MKUSB - поставил перемычку.
Теперь буду испытывать.

Страница 5 из 6 Часовой пояс: UTC + 3 часа
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
http://www.phpbb.com/